ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Utils.BufHandle

Synopsis

- data BufHandle = BufHandle !(Ptr Word8) !FastMutInt Handle
- newBufHandle :: Handle -> IO BufHandle
- bPutChar :: BufHandle -> Char -> IO ()
- bPutStr :: BufHandle -> String -> IO ()
- bPutFS :: BufHandle -> FastString -> IO ()
- bPutFZS :: BufHandle -> FastZString -> IO ()
- bPutPtrString :: BufHandle -> PtrString -> IO ()
- bPutReplicate :: BufHandle -> Int -> Char -> IO ()
- bFlush :: BufHandle -> IO ()

# Documentation

data BufHandle #

Constructors

BufHandle !(Ptr Word8) !FastMutInt Handle |

newBufHandle :: Handle -> IO BufHandle #

bPutChar :: BufHandle -> Char -> IO () #

bPutStr :: BufHandle -> String -> IO () #

bPutFS :: BufHandle -> FastString -> IO () #

bPutFZS :: BufHandle -> FastZString -> IO () #

bPutPtrString :: BufHandle -> PtrString -> IO () #

bPutReplicate :: BufHandle -> Int -> Char -> IO () #

Replicate an 8-bit character

bFlush :: BufHandle -> IO () #